Package org.kie.internal.task.api

## Interface TaskModelFactory

-     public interface TaskModelFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.model.Attachment` | `newAttachment()` |
    `BooleanExpression` | `newBooleanExpression()` |
    `org.kie.api.task.model.Comment` | `newComment()` |
    `org.kie.api.task.model.Content` | `newContent()` |
    `ContentData` | `newContentData()` |
    `Deadline` | `newDeadline()` |
    `Deadlines` | `newDeadlines()` |
    `DeadlineSummary` | `newDeadlineSummary()` |
    `Delegation` | `newDelegation()` |
    `org.kie.api.task.model.Email` | `newEmail()` |
    `org.kie.api.task.model.Email` | `newEmail​(java.lang.String id)` |
    `EmailNotificationHeader` | `newEmailNotificationHeader()` |
    `EmailNotification` | `newEmialNotification()` |
    `Escalation` | `newEscalation()` |
    `FaultData` | `newFaultData()` |
    `org.kie.api.task.model.Group` | `newGroup()` |
    `org.kie.api.task.model.Group` | `newGroup​(java.lang.String id)` |
    `org.kie.api.task.model.I18NText` | `newI18NText()` |
    `Language` | `newLanguage()` |
    `Notification` | `newNotification()` |
    `org.kie.api.task.model.OrganizationalEntity` | `newOrgEntity()` |
    `org.kie.api.task.model.PeopleAssignments` | `newPeopleAssignments()` |
    `Reassignment` | `newReassignment()` |
    `org.kie.api.task.model.Task` | `newTask()` |
    `org.kie.api.task.model.TaskData` | `newTaskData()` |
    `TaskDef` | `newTaskDef()` |
    `org.kie.api.task.model.TaskSummary` | `newTaskSummary()` |
    `org.kie.api.task.model.User` | `newUser()` |
    `org.kie.api.task.model.User` | `newUser​(java.lang.String id)` |

- - ### Method Detail

    - #### newAttachment

          org.kie.api.task.model.Attachment newAttachment()

    - #### newBooleanExpression

          BooleanExpression newBooleanExpression()

    - #### newComment

          org.kie.api.task.model.Comment newComment()

    - #### newContentData

          ContentData newContentData()

    - #### newContent

          org.kie.api.task.model.Content newContent()

    - #### newDeadline

          Deadline newDeadline()

    - #### newDeadlineSummary

          DeadlineSummary newDeadlineSummary()

    - #### newDeadlines

          Deadlines newDeadlines()

    - #### newDelegation

          Delegation newDelegation()

    - #### newEmailNotificationHeader

          EmailNotificationHeader newEmailNotificationHeader()

    - #### newEmialNotification

          EmailNotification newEmialNotification()

    - #### newEscalation

          Escalation newEscalation()

    - #### newFaultData

          FaultData newFaultData()

    - #### newGroup

          org.kie.api.task.model.Group newGroup()

    - #### newGroup

          org.kie.api.task.model.Group newGroup​(java.lang.String id)

    - #### newI18NText

          org.kie.api.task.model.I18NText newI18NText()

    - #### newLanguage

          Language newLanguage()

    - #### newNotification

          Notification newNotification()

    - #### newOrgEntity

          org.kie.api.task.model.OrganizationalEntity newOrgEntity()

    - #### newPeopleAssignments

          org.kie.api.task.model.PeopleAssignments newPeopleAssignments()

    - #### newReassignment

          Reassignment newReassignment()

    - #### newTaskData

          org.kie.api.task.model.TaskData newTaskData()

    - #### newTaskDef

          TaskDef newTaskDef()

    - #### newTask

          org.kie.api.task.model.Task newTask()

    - #### newTaskSummary

          org.kie.api.task.model.TaskSummary newTaskSummary()

    - #### newUser

          org.kie.api.task.model.User newUser()

    - #### newUser

          org.kie.api.task.model.User newUser​(java.lang.String id)

    - #### newEmail

          org.kie.api.task.model.Email newEmail()

    - #### newEmail

          org.kie.api.task.model.Email newEmail​(java.lang.String id)